Subject: Why doesn't this work?
From: Tim Taylor <[email-masked]>
To: [email-masked]
Date: Thu, 05 Aug 1999 10:20:28 -0400

Can anyone tell me why this script always outputs "fail"?

=========== beginning of script ============
#! /bin/sh
if echo line2 from branch1 | cmp - file1 >/dev/null; then
  echo pass
else
  echo fail
fi
============= end of script ==============

The file1 in the above script contains the following (without the
quotes):

"line2 from branch1\r\n"

where \r\n is actually 0x0D0A

The output from my uname command is shown below
bash-2.02$ uname -a
CYGWIN_NT-4.0 TAYLOR-NT 21.0 (0.8/1/2) 1999-1-18 00:09:41 i686 unknown

When I try running cmp from the command line using:
bash-2.02$ cmp - file1<ENTER>
line2 from branch1<CTL-D>

I get the following error message:
cmp: EOF on -
appearing on the same line as the text I typed.  Then I get the bash
prompt.  As soon as I type a key, bash outputs the text I typed (line2
from branch1) followed by the new key.

Any help would be greatly appreciated.
- Tim Taylor

--
======================================================================
 Timothy L. Taylor                        Internet: [email-masked]
 Lead Software Systems Engineer              Voice: (781) 271-8770
 The Mitre Corporation                         Fax: (781) 271-7231
 202 Burlington Rd.                      Mail Stop: B295
 Bedford, Massachusetts 01730-1420
======================================================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]